DOMElement::setAttributeNS
DOMElement::setIdAttributeNode
DOMElement
PHP Manual

# DOMElement::setIdAttribute

(No version information available, might be only in CVS)

DOMElement::setIdAttribute — Declares the attribute specified by name to be of type ID

### Description

void DOMElement::setIdAttribute ( string `$name` , bool `$isId` )

Declares the attribute `name` to be of type ID.

### Parameters

`name`

  The name of the attribute.

`isId`

  Set it to `TRUE` if you want `name` to be of type ID, `FALSE` otherwise.

### Return Values

No value is returned.

### Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

`DOM_NOT_FOUND`

  Raised if `name` is not an attribute of this element.

### See Also

- DOMDocument::getElementById
- DOMElement::setIdAttributeNode
- DOMElement::setIdAttributeNS

DOMElement::setAttributeNS
DOMElement::setIdAttributeNode
DOMElement
PHP Manual